APG PayAPG Paydocs

Card issuer

Get issuer transaction exception

GET/issuer-transaction-exceptions/{issuerTransactionExceptionId}
Request
GEThttps://api.tst.au.apgpay.dev/issuer-transaction-exceptions/{issuerTransactionExceptionId}
curl -X GET https://api.tst.au.apgpay.dev/issuer-transaction-exceptions/{issuerTransactionExceptionId} \
  -H "Authorization: Bearer $API_KEY"

Return one exception, including any suggested resolution.

Permissions

Required permission
issuerTransactionDiscrepancies:query

Requires the `query` action on `issuerTransactionDiscrepancies` for the supplied runtime context

Path parameters

issuerTransactionExceptionIdstring
required

Responses

The response is a typed union.

Discriminated by type
type = "ExceptViewMastercardRefundError"
exceptionIdExceptIdrequired

Identifier of an issuer-transaction exception.

Example except_9f2Kd8QpLzXw

statusExceptStatusrequired
OutstandingResolvedUnknown

The card an issuer transaction was made against.

customerIdCustId

The customer the transaction is made against, where it is made against one.

Example cust_9f2Kd8QpLzXw

referenceTransactionIdstringrequired

Example your-own-reference

What the platform tried to refund.

transactionIdItxnId

The transaction the refund was against.

Example tran_9f2Kd8QpLzXw

schemeErrorstring

What the scheme said when it refused.

reconciledTransactionIdsarray of ItxnId

Example tran_9f2Kd8QpLzXw

generatedRefundIdRfndId

Identifier of a refund.

Example rfnd_9f2Kd8QpLzXw

Notes written against the exception, oldest first.

createdAtstring (date-time)required

Example 2026-08-19T04:21:07Z

updatedAtstring (date-time)required

Example 2026-08-19T04:21:07Z

Example
{
  "type": "ExceptViewMastercardRefundError",
  "exceptionId": "except_9f2Kd8QpLzXw",
  "status": "Outstanding",
  "card": {
    "type": "ItxnCardAttributes",
    "cardId": "dcard_9f2Kd8QpLzXw",
    "cardReference": "your-own-reference",
    "last4": "4242",
    "bin": "424242",
    "brand": "Visa",
    "expiryMonth": 6,
    "expiryYear": 2029,
    "country": "AU",
    "cardHolderName": "Ada Lovelace"
  },
  "customerId": "cust_9f2Kd8QpLzXw",
  "referenceTransactionId": "your-own-reference",
  "amount": {
    "type": "IsoCurrencyAmount",
    "minorCurrencyUnits": 1250,
    "currency": "AUD"
  },
  "transactionId": "tran_9f2Kd8QpLzXw",
  "schemeError": "string",
  "reconciledTransactionIds": [
    "tran_9f2Kd8QpLzXw"
  ],
  "generatedRefundId": "rfnd_9f2Kd8QpLzXw",
  "suggestion": {
    "type": "ExceptSuggestionAcceptCapture"
  },
  "notes": [
    {
      "type": "ExceptNoteAttributes",
      "kind": "Comment",
      "text": "string",
      "author": "string",
      "createdAt": "2026-08-19T04:21:07Z"
    }
  ],
  "createdAt": "2026-08-19T04:21:07Z",
  "updatedAt": "2026-08-19T04:21:07Z"
}

Error responses